aboutsummaryrefslogtreecommitdiffhomepage
path: root/src
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-06-14 19:06:00 +0000
committerGravatar Yue Gan <yueg@google.com>2016-06-15 08:42:36 +0000
commit5028e035a12b602b00f7f5b079d64eb54881fd1d (patch)
tree3ca3b3b7670fecfcf0dd8b117661a2bb4345b0e8 /src
parent822ef5e03c7a8dc75bf17edd67b94ffdad51f43f (diff)
Make timeout test a bit more robust
It's still not a great test, but hopefully a few second variation won't make it flake. Fixes #1283. -- MOS_MIGRATED_REVID=124866329
Diffstat (limited to 'src')
-rwxr-xr-xsrc/test/shell/bazel/bazel_test_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/bazel/bazel_test_test.sh b/src/test/shell/bazel/bazel_test_test.sh
index e2512b7765..8ea800161d 100755
--- a/src/test/shell/bazel/bazel_test_test.sh
+++ b/src/test/shell/bazel/bazel_test_test.sh
@@ -229,7 +229,7 @@ EOF
bazel test --test_timeout=2 //dir:test &> $TEST_log && fail "should have timed out"
expect_log "TIMEOUT"
- bazel test --test_timeout=4 //dir:test || fail "expected success"
+ bazel test --test_timeout=20 //dir:test || fail "expected success"
}
# Makes sure that runs_per_test_detects_flakes detects FLAKY if any of the 5